Summary: A text editor intended to replace vi.
Name: elvis
Version: 2.1_4
Release: 5
Copyright: GPL
Group: Applications/Editors
Url: ftp://ftp.cs.pdx.edu/pub/elvis/
Source: %{name}-%{version}.tar.gz
Patch0: alpha-cflags.patch
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Elvis is a clone of vi/ex, the standard UNIX editor.  Elvis supports
nearly all vi/ex commands, in both visual mode and ex mode.  Elvis
features include multiple edit buffers, multiple windows, multiple
user interfaces (including an X interface) and a variety of display
modes.  Elvis also provides on-line help.  The X interface for Elvis
is provided in the elvis-X11 package.

%package X11
Summary: The X Window System interface for the Elvis text editor.
Group: Applications/Editors
Requires: elvis
%description X11
The elvis-X11 package contains the X Window System interface for the
Elvis text editor.  Elvis is a clone of vi/ex, the standard UNIX
editor.  Elvis is provided in the elvis package.

%prep
%setup -q

%ifarch alpha
%patch0 -p1
%endif

%build
%configure --prefix=%{_prefix}/X11R6 --datadir=%{_libdir}/elvis --with-x

make
mv elvis xelvis
make clean
%configure --datadir=%{_datadir}/elvis --with-x=no
make

%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/elvis,%{_mandir}/man1}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6{/bin,/lib/X11/{,pixmaps,bitmaps},}

install -s -m 0755 elvis $RPM_BUILD_ROOT%{_bindir}
install -s -m 0755 xelvis $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install -s -m 0755 ref $RPM_BUILD_ROOT%{_bindir}
install -s -m 0755 ctags $RPM_BUILD_ROOT%{_libdir}/elvis
install -s -m 0755 elvtags $RPM_BUILD_ROOT%{_libdir}/elvis
install -m 0644 lib/* $RPM_BUILD_ROOT%{_libdir}/elvis
install -m 0644 guix11/elvis.xbm $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/bitmaps/
install -m 0644 guix11/elvis.xpm $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/pixmaps/
install -m 0644 lib/elvis.man $RPM_BUILD_ROOT%{_mandir}/man1/elvis.1
install -m 0644 lib/ref.man $RPM_BUILD_ROOT%{_mandir}/man1/ref.1

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications

cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/xelvis.desktop <<EOF
[Desktop Entry]
Name=xelvis
Type=Application
Description=xelvis
Exec=xelvis
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.html COPYING INSTALL BUGS
%{_bindir}/elvis
%{_bindir}/ref
%{_mandir}/*/*
%{_libdir}/elvis

%files X11
%defattr(-,root,root)
%config %{_sysconfdir}/X11/applnk/Applications/xelvis.desktop
%{_prefix}/X11R6/bin/xelvis
%{_prefix}/X11R6/lib/X11/bitmaps/elvis.xbm
%{_prefix}/X11R6/lib/X11/pixmaps/elvis.xpm


%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jun 6 2000 Tim Powers <timp@redhat.com>
- fixed broken manpage location
- use %%configure
- use the predefined RPM macros wherever possible
- added applnk entry for xelvis

* Tue May 9 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Mon Nov 8 1999 Tim Powers <timp@redhat.com>
- updated to 2.1_4
- gzip man pages

* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- updated/fixed spec, was not installing files
- updated source to 2.1.3
- built for Powertools 6.1

* Sun Mar 7 1999 Michael Maher <mike@redhat.com>
- changed around spec file from ryan and rebuilt

